> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Full Profiles

>  - Discover LinkedIn profiles via Google using details like job title, company, location, or keywords, and perform a comprehensive analysis to generate match scores. This endpoint is optimized to pinpoint LinkedIn contacts with precision based on the basic information provided. 

 - Credit Cost: Base cost: 2 credits. Additional cost: 2 credits per selected profile. 

 - For example: Selecting 1 profile = 4 credits, Selecting 2 profiles = 6 credits.



## OpenAPI

````yaml POST /google-full-profiles
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /google-full-profiles:
    post:
      description: |2-
         - Discover LinkedIn profiles via Google using details like job title, company, location, or keywords, and perform a comprehensive analysis to generate match scores. This endpoint is optimized to pinpoint LinkedIn contacts with precision based on the basic information provided. 

         - Credit Cost: Base cost: 2 credits. Additional cost: 2 credits per selected profile. 

         - For example: Selecting 1 profile = 4 credits, Selecting 2 profiles = 6 credits.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Full name of the person.
                  example: Anthony James
                company_name:
                  type: string
                  description: Name of the company.
                  example: ''
                job_title:
                  type: string
                  description: Job title of the person.
                  example: CEO
                location:
                  type: string
                  description: Location of the person.
                  example: US
                keywords:
                  type: string
                  description: Keywords to refine the search.
                  example: ''
                limit:
                  type: integer
                  description: Maximum number of profiles to retrieve.
                  example: 5
                  default: 5
              required:
                - name
                - job_title
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GoogleFullProfiles'
        '400':
          description: Invalid payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidPayload'
        '404':
          description: No profile found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NoProfileFound'
        '503':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
components:
  schemas:
    GoogleFullProfiles:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              _match_score:
                type: integer
                example: 100
              about:
                type: string
                example: >-
                  C-Level with military discipline and focus who specializes in
                  B2B partnerships and B2B client acquisitions. I have an
                  extensive background in profit center management, strategic
                  planning, business development, and tech startups.
              city:
                type: string
                example: ''
              company:
                type: string
                example: ADS Healthcare Solutions
              company_description:
                type: string
              company_domain:
                type: string
                example: ''
              company_employee_range:
                type: string
              company_industry:
                type: string
              company_linkedin_url:
                type: string
                example: ''
              company_logo_url:
                type: string
              company_website:
                type: string
              company_year_founded:
                type: string
              connection_count:
                type: integer
                example: 1215
              country:
                type: string
                example: United States
              current_company_join_month:
                type: string
              current_company_join_year:
                type: integer
                example: 2022
              current_job_duration:
                type: string
                example: 2 yrs 11 mos
              educations:
                type: array
                items:
                  type: object
                  properties:
                    activities:
                      type: string
                      example: >-
                        Activities and societies: Community College of the Air
                        Force

                        Air Force Electronic Principles Technical School

                        Air Force Missile Systems Journeyman
                    date_range:
                      type: string
                      example: 1988 - 1995
                    degree:
                      type: string
                      example: Air Launched Missile Systems
                    end_month:
                      type: string
                      example: ''
                    end_year:
                      type: integer
                      example: 1995
                    field_of_study:
                      type: string
                      example: ''
                    school:
                      type: string
                      example: U.S. Air Force
                    school_id:
                      type: string
                      example: ''
                    school_linkedin_url:
                      type: string
                      example: ''
                    school_logo_url:
                      type: string
                      example: ''
                    start_month:
                      type: string
                      example: ''
                    start_year:
                      type: integer
                      example: 1988
              email:
                type: string
                example: ''
              experiences:
                type: array
                items:
                  type: object
                  properties:
                    company:
                      type: string
                      example: ADS Healthcare Solutions
                    company_id:
                      type: string
                      example: ''
                    company_linkedin_url:
                      type: string
                      example: ''
                    company_logo_url:
                      type: string
                      example: ''
                    company_public_url:
                      type: string
                    date_range:
                      type: string
                      example: 2022 - Present
                    description:
                      type: string
                      example: "Empowering Healthcare Through Financial Precision!\n\nADS Healthcare Solutions is a U.S. owned and operated, BBB A+ Rated, woman & veteran owned company which provides Full-Service RCM coding, medical billing, denial management, and credentialing services to Hospital Internist Groups, ER/Trauma Teams, Mental Health, and private practice owners. ADS specializes in all major commercial insurance payors, Medicare, Medicaid, and VA TRICARE. \n\nPartnerships:\n•\tAdvancedMD\n•\tModio Health\n•\tMediMobile\n•\tArmor Defense\n•\tGSA\n•\tSquared Compass"
                    duration:
                      type: string
                      example: 2 yrs 11 mos
                    end_month:
                      type: string
                      example: ''
                    end_year:
                      type: string
                      example: ''
                    is_current:
                      type: integer
                      example: true
                    job_type:
                      type: string
                      example: ''
                    location:
                      type: string
                      example: ''
                    skills:
                      type: string
                      example: ''
                    start_month:
                      type: string
                      example: ''
                    start_year:
                      type: integer
                      example: 2022
                    title:
                      type: string
                      example: CEO
              first_name:
                type: string
                example: Anthony
              follower_count:
                type: integer
                example: 1224
              full_name:
                type: string
                example: Anthony James
              headline:
                type: string
                example: >-
                  CEO, ADS Healthcare Solutions | Executive Leadership | U.S.
                  Air Force
              hq_city:
                type: string
              hq_country:
                type: string
              hq_region:
                type: string
              job_title:
                type: string
                example: CEO
              languages:
                type: string
                example: ''
              last_name:
                type: string
                example: James
              linkedin_url:
                type: string
                example: https://www.linkedin.com/in/anthony-james-tx
              location:
                type: string
                example: United States
              phone:
                type: string
                example: ''
              profile_id:
                type: string
                example: '22157504'
              profile_image_url:
                type: string
                example: >-
                  https://media.licdn.com/dms/image/v2/C5603AQGLWfTUIfS0Pg/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1516320688162?e=1736985600&v=beta&t=IUZKnLS8R2m91ZMU0JlVQuvvmaJ9ZXQ22RrJb_AKBcA
              public_id:
                type: string
                example: anthony-james-tx
              redirected_url:
                type: string
                example: https://www.linkedin.com/in/anthony-james-tx
              school:
                type: string
                example: U.S. Air Force
              state:
                type: string
                example: ''
              urn:
                type: string
                example: ACoAAAFSGMAB4-IheJnWQNR52wRWQa3Yj6X6VKk
        message:
          type: string
          example: ok
      required:
        - data
        - message
        - total_count
        - total_employees
    InvalidPayload:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid payload.'
    NoProfileFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: there are no people match your search.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````